﻿--
--@MultiScriptForMTZ1025byLSSA
--@Northern_Strike(RUS) [LSSA Modding Team]
--@13.05.12
--@http://lssa.ru/
-- Edit Dima29-303 for Vektor 410


MultiScriptForMTZ1025byLSSA = {};

function MultiScriptForMTZ1025byLSSA.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function MultiScriptForMTZ1025byLSSA:load(xmlFile)

       self.ventelator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator1#index"));
       self.vozduh1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.vozduh1#index"));	   
	   self.autoBeacon=false;

------


	
end;

function MultiScriptForMTZ1025byLSSA:keyEvent(unicode, sym, modifier, isDown)

end;

function MultiScriptForMTZ1025byLSSA:update(dt)

	if self.isMotorStarted then
         		rotate(self.ventelator1, 0, 0, dt*0.01 );		
	end;

	if self.isMotorStarted then
         		rotate(self.vozduh1, 0, 0, dt*0.005 );		
	end;
	
	 if self.isServer then
        if (self.grainTankFillLevel >= self.grainTankCapacity*0.95) and not self.autoBeacon then
          self:setBeaconLightsVisibility(true);
          self.autoBeacon = true;
        end;                                    
        
        if (self.grainTankFillLevel < self.grainTankCapacity*0.95) and self.autoBeacon then
          self:setBeaconLightsVisibility(false);
          self.autoBeacon = false;
        end; 		
    end;

    if not self:getIsActive() and self.autoBeacon then
        if self.beaconLightsActive then
            for _, beaconLight in pairs(self.beaconLights) do
                rotate(beaconLight.node, 0, beaconLight.speed*dt, 0);
            end;		
        end; 		
    end;
end;

function MultiScriptForMTZ1025byLSSA:updateTick(dt)
end;

function MultiScriptForMTZ1025byLSSA:draw()
end;

function MultiScriptForMTZ1025byLSSA:onEnter()

end;

function MultiScriptForMTZ1025byLSSA:onLeave()
end;

function MultiScriptForMTZ1025byLSSA:delete()
end;

function MultiScriptForMTZ1025byLSSA:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MultiScriptForMTZ1025byLSSA:attachImplement(implement)
end;
  
function MultiScriptForMTZ1025byLSSA:detachImplement(implementIndex)
end;

function MultiScriptForMTZ1025byLSSA:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;